CANVAS_DRAW_RECTANGLE(3)

FUNCTION
canvas_draw_rectangle - Draw a single rectangle onto a world canvas.

SYNOPSIS
#include <karma_canvas.h>

void canvas_draw_rectangle

(KWorldCanvas canvas, double x, double y, double width, double height, double value[2])

DESCRIPTION
Draw a single rectangle onto a world canvas.

canvas
    The world canvas object.

x   The horizontal offset of the rectangle.

y   The vertical offset of the rectangle.

width
    The width of the rectangle.

height
    The height of the rectangle.

value
    The data value to use. This is of type K_DCOMPLEX.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/